include ../../Makefile.top

INCLUDES = -I. -I../../include -I../../librhcm -I/usr/include/libxml2
LIBS     = -L../../librhcm -lxmlcfg_lite -lpthread
SUBDIRS  = raw sfs
CFLAGS  += -DCLU_CONFIG_FILE=\"$(CLU_CONFIG_FILE)\" -DIOLIBDIR=\"$(IOLIBDIR)\"

all: shutil libclushared.a libshheader.a
	for subdir in $(SUBDIRS); do make -C $$subdir || exit 1; done

clean:
	rm -f *o *~ shutil *.a
	for subdir in $(SUBDIRS); do make -C $$subdir clean || exit 1; done

install:
	for subdir in $(SUBDIRS); do make -C $$subdir install || exit 1; done
	mkdir -p $(BINDIR)
	install -m 0755 shutil $(BINDIR)

libshheader.a: header.o ../clulib/crc32.o 
	ar rc $@ header.o ../clulib/crc32.o

libclushared.a: io_driver.o io_load.o
	ar rc libclushared.a io_driver.o io_load.o

shutil: shutil.o io_driver.o io_load.o libclushared.a
	$(CC) -o shutil shutil.o $(INCLUDES) $(CFLAGS) -ldl -lxml2 \
		-L. -lclushared $(LIBS)

%.o: %.c
	$(CC) -c -o $@ $^ $(INCLUDES) $(CFLAGS)
